summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexey Korepanov <kaikaikai@yandex.ru>2018-10-11 14:03:40 +0100
committerAnthony G. Basile <blueness@gentoo.org>2018-10-12 08:01:02 -0400
commit4a7590590647791319d3fb5285f095afdc876476 (patch)
treeb6cfffbb1282886238b3ce21e7566115fdcb1f43 /net-vpn
parentdev-perl/libwww-perl-6.270.0-r0: alpha stable (diff)
downloadgentoo-4a7590590647791319d3fb5285f095afdc876476.tar.gz
gentoo-4a7590590647791319d3fb5285f095afdc876476.tar.bz2
gentoo-4a7590590647791319d3fb5285f095afdc876476.zip
net-vpn/i2pd: use eapi7-ver and cosmetic Signed-off-by: Alexey Korepanov <kaikaikai@yandex.ru>
Signed-off-by: Anthony G. Basile <blueness@gentoo.org>
Diffstat (limited to 'net-vpn')
-rw-r--r--net-vpn/i2pd/i2pd-2.21.0.ebuild30
1 files changed, 18 insertions, 12 deletions
diff --git a/net-vpn/i2pd/i2pd-2.21.0.ebuild b/net-vpn/i2pd/i2pd-2.21.0.ebuild
index d7948631012..1fff5a0abb4 100644
--- a/net-vpn/i2pd/i2pd-2.21.0.ebuild
+++ b/net-vpn/i2pd/i2pd-2.21.0.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-inherit eutils systemd user cmake-utils versionator toolchain-funcs
+inherit systemd user cmake-utils eapi7-ver toolchain-funcs
DESCRIPTION="A C++ daemon for accessing the I2P anonymous network"
HOMEPAGE="https://github.com/PurpleI2P/i2pd"
@@ -13,18 +13,24 @@ KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc64 ~x86"
IUSE="cpu_flags_x86_aes cpu_flags_x86_avx i2p-hardening libressl static +upnp websocket"
# if using libressl, require >=boost-1.65, see #597798
-RDEPEND="!static? ( dev-libs/boost[threads]
- !libressl? ( dev-libs/openssl:0[-bindist] )
- libressl? ( dev-libs/libressl:0
- >=dev-libs/boost-1.65 )
- sys-libs/zlib
- upnp? ( net-libs/miniupnpc )
- )"
+RDEPEND="
+ !static? (
+ dev-libs/boost[threads]
+ !libressl? ( dev-libs/openssl:0[-bindist] )
+ libressl? (
+ dev-libs/libressl:0
+ >=dev-libs/boost-1.65
+ )
+ upnp? ( net-libs/miniupnpc )
+ )"
DEPEND="${RDEPEND}
- static? ( dev-libs/boost[static-libs,threads]
+ static? (
+ dev-libs/boost[static-libs,threads]
!libressl? ( dev-libs/openssl:0[static-libs] )
- libressl? ( dev-libs/libressl:0[static-libs]
- >=dev-libs/boost-1.65 )
+ libressl? (
+ dev-libs/libressl:0[static-libs]
+ >=dev-libs/boost-1.65
+ )
sys-libs/zlib[static-libs]
upnp? ( net-libs/miniupnpc[static-libs] )
)
@@ -40,7 +46,7 @@ DOCS=( README.md contrib/i2pd.conf contrib/tunnels.conf )
PATCHES=( "${FILESDIR}/${PN}-2.14.0-fix_installed_components.patch" )
pkg_pretend() {
- if tc-is-gcc && ! version_is_at_least "4.7" "$(gcc-version)"; then
+ if tc-is-gcc && ! ver_test "$(gcc-version)" -ge "4.7"; then
die "At least gcc 4.7 is required"
fi
if use i2p-hardening && ! tc-is-gcc; then